public class SortedLinkedList {
  SortedLinkedListNode head;

  public SortedLinkedList() {
    head = null;
  }
  
  public void insert(Comparable c) {
    SortedLinkedListNode sslln = new SortedLinkedListNode(c);
    if (head == null) {
      head = sslln;
    } else {
      SortedLinkedListNode currentNode = head.next;
      SortedLinkedListNode lastNode = head;
      while (currentNode != null && sslln.content.compareTo(currentNode.content) > 0) {
        lastNode = currentNode;
        currentNode = currentNode.next;
      }
      lastNode.next = sslln;
      sslln.next = currentNode;
    }
  }

 public String toString() {
    StringBuilder sb = new StringBuilder();
    String comma = "";
    SortedLinkedListNode currentNode = this.head;
    while (currentNode != null) {
      sb.append(comma);
      sb.append(currentNode.content.toString());
      comma = ", ";
      currentNode = currentNode.next;
    }
    return sb.toString();
  }
}
